Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osgSim::InsertImpostorsVisitor Class Reference

Insert impostor nodes into scene graph. More...

Inheritance diagram for osgSim::InsertImpostorsVisitor:

[legend]
List of all members.

## Public Member Functions
| InsertImpostorsVisitor ()
| Default to traversing all children.
void | setImpostorThresholdRatio (float ratio)
float | getImpostorThresholdRatio () const
void | setMaximumNumberOfNestedImpostors (unsigned int num)
unsigned int | getMaximumNumberOfNestedImpostors () const
void | reset ()
| Empty visitor, make it ready for next traversal.
virtual void | apply (osg::Node &node)
virtual void | apply (osg::Group &node)
virtual void | apply (osg::LOD &node)
void | insertImpostors ()
## Protected Types
typedef std::vector< osg::Group * > | GroupList
typedef std::vector< osg::LOD * > | LODList
## Protected Attributes
GroupList | _groupList
LODList | _lodList
float | _impostorThresholdRatio
unsigned int | _maximumNumNestedImpostors
unsigned int | _numNestedImpostors

## Detailed Description

Insert impostor nodes into scene graph.

For example of usage see examples/osgimpostor.

## Member Typedef Documentation

typedef std::vector< osg::Group* > osgSim::InsertImpostorsVisitor::GroupList`[protected]`

typedef std::vector< osg::LOD* > osgSim::InsertImpostorsVisitor::LODList`[protected]`

## Constructor & Destructor Documentation

osgSim::InsertImpostorsVisitor::InsertImpostorsVisitor | ( |  | ) |

| Default to traversing all children.

## Member Function Documentation

virtual void osgSim::InsertImpostorsVisitor::apply | ( | osg::LOD & | node | ) | `[virtual]`

| Reimplemented from osg::NodeVisitor.

virtual void osgSim::InsertImpostorsVisitor::apply | ( | osg::Group & | node | ) | `[virtual]`

| Reimplemented from osg::NodeVisitor.

virtual void osgSim::InsertImpostorsVisitor::apply | ( | osg::Node & | node | ) | `[virtual]`

| Reimplemented from osg::NodeVisitor.

float osgSim::InsertImpostorsVisitor::getImpostorThresholdRatio | ( |  | ) | const`[inline]`

unsigned int osgSim::InsertImpostorsVisitor::getMaximumNumberOfNestedImpostors | ( |  | ) | const`[inline]`

void osgSim::InsertImpostorsVisitor::insertImpostors | ( |  | ) |

void osgSim::InsertImpostorsVisitor::reset | ( |  | ) | `[virtual]`

| Empty visitor, make it ready for next traversal. Reimplemented from osg::NodeVisitor.

void osgSim::InsertImpostorsVisitor::setImpostorThresholdRatio | ( | float | ratio | ) | `[inline]`

void osgSim::InsertImpostorsVisitor::setMaximumNumberOfNestedImpostors | ( | unsigned int | num | ) | `[inline]`

## Member Data Documentation

GroupList osgSim::InsertImpostorsVisitor::_groupList`[protected]`

float osgSim::InsertImpostorsVisitor::_impostorThresholdRatio`[protected]`

LODList osgSim::InsertImpostorsVisitor::_lodList`[protected]`

unsigned int osgSim::InsertImpostorsVisitor::_maximumNumNestedImpostors`[protected]`

unsigned int osgSim::InsertImpostorsVisitor::_numNestedImpostors`[protected]`

The documentation for this class was generated from the following file:

- InsertImpostorsVisitor